# Xapian::MultiValueSorter Class Reference

Sorter subclass which sorts by a several values. More...

`#include <sorter.h>`

Inheritance diagram for Xapian::MultiValueSorter:

[legend]
Collaboration diagram for Xapian::MultiValueSorter:

[legend]
List of all members.

## Public Member Functions

template<class Iterator>
| MultiValueSorter (Iterator begin, Iterator end)
virtual std::string | operator() (const Xapian::Document &doc) const
| This method takes a Document object and builds a sort key from it.
void | add (Xapian::valueno valno, bool forward=true)

## Detailed Description

Sorter subclass which sorts by a several values.

Results are ordered by the first value. In the event of a tie, the second is used. If this is the same for both, the third is used, and so on.

## Member Function Documentation

virtual std::string Xapian::MultiValueSorter::operator() | ( | const Xapian::Document & | doc | ) | const`[virtual]`

This method takes a Document object and builds a sort key from it.

Documents are then ordered by a string compare on the sort keys.

Implements Xapian::Sorter.

The documentation for this class was generated from the following file:

- include/xapian/sorter.h